Foreman - Bug #1863

db:convert:prod2dev fails on the roles and settings tables

09/14/2012 11:08 AM - Greg Sutcliffe

Status: Closed
Priority: Normal
Assignee:

Category: DB migrations

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Converting MySQL to Sqlite3 on a foreman 1.0.1 box, | get:

Mysql::Error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right
syntax to use near "roles" LIMIT 10000 OFFSET 0' at line 1: SELECT ‘“roles’.* FROM "roles" LIMIT 10000 OFFSET 0

If you skip roles in lib/tasks/convert.rb then you get the same error for settings. | did ensure the schemas were consistent with:

1. bundle exec rake db:migrate RAILS_ENV=production
2. bundle exec rake db:drop RAILS_ENV=development
3. bundle exec rake db:migrate RAILS_ENV=development

History

#1 - 06/19/2013 08:40 AM - Benjamin Papillon
bump? )

#2 - 06/19/2013 10:42 AM - Greg Sutcliffe

- Status changed from New to Closed

Thanks Benjamin, I'll close this for now, we can re-open if it resurfaces.
